import { cn as e } from "../../../lib/utils.js";
import { jsx as t } from "react/jsx-runtime";
//#region lib/components/ui/templates/chat-template.tsx
function n({ className: n, ...r }) {
	return /* @__PURE__ */ t("div", {
		className: e("relative flex h-dvh min-w-0 flex-col bg-background", n),
		"data-slot": "chat-template",
		...r
	});
}
function r({ className: n, ...r }) {
	return /* @__PURE__ */ t("header", {
		className: e("sticky top-0 z-10 flex items-center gap-2 bg-background px-2 py-1.5", n),
		"data-slot": "chat-template-header",
		...r
	});
}
function i({ className: n, ...r }) {
	return /* @__PURE__ */ t("div", {
		className: e("flex items-center gap-2", n),
		"data-slot": "chat-template-header-group",
		...r
	});
}
function a({ className: n, ...r }) {
	return /* @__PURE__ */ t("div", {
		className: e("flex min-w-0 flex-1 flex-col gap-6 overflow-y-auto pt-4", n),
		"data-slot": "chat-template-body",
		...r
	});
}
function o({ className: n, ...r }) {
	return /* @__PURE__ */ t("footer", {
		className: e("mx-auto flex w-full flex-col gap-1.5 px-4 pt-2 pb-4 md:max-w-3xl md:pb-6", n),
		"data-slot": "chat-template-footer",
		...r
	});
}
function s({ className: n, ...r }) {
	return /* @__PURE__ */ t("div", {
		className: e("mx-auto mt-[clamp(0.75rem,5vh,4rem)] flex max-w-xl flex-col rounded-xl px-6 py-[clamp(1rem,2.5vh,1.5rem)] text-center leading-relaxed", n),
		"data-slot": "chat-template-overview",
		...r
	});
}
function c({ className: n, ...r }) {
	return /* @__PURE__ */ t("h1", {
		className: e("mb-[clamp(0.5rem,1.5vh,1rem)] text-balance bg-linear-to-r from-foreground to-foreground/70 bg-clip-text font-bold font-serif text-[clamp(1.8rem,3.7vh,2.55rem)] text-transparent leading-tight tracking-wide", n),
		"data-slot": "chat-template-overview-title",
		...r
	});
}
function l({ className: n, ...r }) {
	return /* @__PURE__ */ t("h2", {
		className: e("mb-[clamp(1rem,3.2vh,2.25rem)] text-balance bg-linear-to-r from-foreground/90 to-foreground/70 bg-clip-text font-medium text-[clamp(1.3rem,3.3vh,2.15rem)] text-transparent leading-tight", n),
		"data-slot": "chat-template-overview-subtitle",
		...r
	});
}
function u({ className: n, ...r }) {
	return /* @__PURE__ */ t("div", {
		className: e("mb-2 grid w-full grid-cols-12 gap-3 pt-1 lg:gap-4", n),
		"data-slot": "chat-template-suggestions",
		...r
	});
}
//#endregion
export { n as ChatTemplate, a as ChatTemplateBody, o as ChatTemplateFooter, r as ChatTemplateHeader, i as ChatTemplateHeaderGroup, s as ChatTemplateOverview, l as ChatTemplateOverviewSubtitle, c as ChatTemplateOverviewTitle, u as ChatTemplateSuggestions };
